[arch-commits] Commit in claws-mail-extra-plugins/repos (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu Jul 9 19:09:53 UTC 2009


    Date: Thursday, July 9, 2009 @ 15:09:53
  Author: andyrtr
Revision: 45305

Merged revisions 45304 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/claws-mail-extra-plugins/trunk

........
  r45304 | andyrtr | 2009-07-09 19:09:17 +0000 (Do, 09 Jul 2009) | 2 lines
  
  upgpkg: claws-mail-extra-plugins 3.7.2-2
      fix fancy plugin making claws hang
........

Added:
  claws-mail-extra-plugins/repos/extra-x86_64/fix_fancy_hangups.patch
    (from rev 45304, claws-mail-extra-plugins/trunk/fix_fancy_hangups.patch)
Modified:
  claws-mail-extra-plugins/repos/extra-x86_64/	(properties)
  claws-mail-extra-plugins/repos/extra-x86_64/PKGBUILD

-------------------------+
 PKGBUILD                |   12 ++++++--
 fix_fancy_hangups.patch |   64 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+), 3 deletions(-)


Property changes on: claws-mail-extra-plugins/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /claws-mail-extra-plugins/trunk:1-44746
   + /claws-mail-extra-plugins/trunk:1-45304

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-07-09 19:09:17 UTC (rev 45304)
+++ extra-x86_64/PKGBUILD	2009-07-09 19:09:53 UTC (rev 45305)
@@ -4,7 +4,7 @@
 
 pkgname=claws-mail-extra-plugins
 pkgver=3.7.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Extra plugins for claws-mail"
 url="http://www.claws-mail.org/plugins.php?branch=EXT"
 license=('GPL3')
@@ -22,10 +22,16 @@
 conflicts=('claws-gtkhtml2_viewer' 'claws-mail-acpinotifier-plugin' 'sylpheed-claws-gtkhtml2-plugin' 'sylpheed-claws-rssyl-plugin' 'sylpheed-claws-extra-plugins' 'claws-tnef-plugin' 'claws-webkit-plugin-svn' 'claws-mayflower-plugin-svn')
 replaces=('sylpheed-claws-extra-plugins')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/sylpheed-claws/claws-mail-extra-plugins-$pkgver.tar.bz2)
-md5sums=('0bdbbf69b2420e4bbb8d0ae85f9f85d6')
+source=(http://downloads.sourceforge.net/sourceforge/sylpheed-claws/claws-mail-extra-plugins-$pkgver.tar.bz2
+	fix_fancy_hangups.patch)
+md5sums=('0bdbbf69b2420e4bbb8d0ae85f9f85d6'
+         '894388c033072cba170c921912090d22')
 
+
 build() {
+    cd "${srcdir}/claws-mail-extra-plugins-$pkgver"/fancy*/src
+    patch -Np0 -i ${srcdir}/fix_fancy_hangups.patch || return 1
+
     cd "${srcdir}/claws-mail-extra-plugins-$pkgver"
     for dir in *; do
         # Continue if it is not a directory or the synce plugin

Copied: claws-mail-extra-plugins/repos/extra-x86_64/fix_fancy_hangups.patch (from rev 45304, claws-mail-extra-plugins/trunk/fix_fancy_hangups.patch)
===================================================================
--- extra-x86_64/fix_fancy_hangups.patch	                        (rev 0)
+++ extra-x86_64/fix_fancy_hangups.patch	2009-07-09 19:09:53 UTC (rev 45305)
@@ -0,0 +1,64 @@
+--- fancy_viewer.c	2009/06/16 16:04:35	1.1.2.11
++++ fancy_viewer.c	2009/07/04 16:34:52	1.1.2.14
+@@ -107,8 +107,19 @@
+         return FALSE;
+     }
+     if (procmime_get_part(viewer->filename, partinfo) < 0) {
+-            g_free(viewer->filename);
++        g_free(viewer->filename);
++        viewer->filename = NULL;
+     } else {
++        const gchar *charset = NULL;
++        if (_viewer && _viewer->mimeview &&
++            _viewer->mimeview->messageview->forced_charset)
++            charset = _viewer->mimeview->messageview->forced_charset;
++        else
++            charset = procmime_mimeinfo_get_parameter(partinfo, "charset");
++        if (!charset)
++            charset = conv_get_locale_charset_str();
++        debug_print("using %s charset\n", charset);
++        g_object_set(viewer->settings, "default-encoding", charset, NULL);
+         gchar *tmp = g_filename_to_uri(viewer->filename, NULL, NULL);
+         webkit_web_view_open(viewer->view, tmp);
+         g_free(tmp);
+@@ -182,6 +193,7 @@
+     debug_print("filename: %s\n", viewer->filename);
+ 	if (!viewer->filename) {
+ 		alertpanel_error(_("Filename is null."));
++        g_free(program);
+ 		return;
+ 	}
+ 
+@@ -275,8 +287,6 @@
+     webkit_web_view_open(viewer->view, "about:blank");
+     debug_print("fancy_clear_viewer\n");
+     viewer->to_load = NULL;
+-    if(viewer->cur_link)
+-        g_free(viewer->cur_link);
+     vadj = gtk_scrolled_window_get_vadjustment(GTK_SCROLLED_WINDOW(viewer->scrollwin));
+     vadj->value = 0.0;
+     g_signal_emit_by_name(G_OBJECT(vadj), "value-changed", 0);
+@@ -345,12 +355,9 @@
+ {
+     gtk_label_set_text(GTK_LABEL(viewer->l_link), link);
+     if(link) {
+-        if (viewer->cur_link) {
++        if (viewer->cur_link)
+             g_free(viewer->cur_link);
+-            viewer->cur_link = g_strdup(link);
+-        } else {
+-            viewer->cur_link = g_strdup(link);
+-        }
++        viewer->cur_link = g_strdup(link);
+     }
+ }
+ 
+@@ -795,7 +802,7 @@
+ 
+ const gchar *plugin_desc(void)
+ {
+-    return g_strdup_printf("This plugin renders HTML e-mail using the WebKit" 
++    return g_strdup_printf("This plugin renders HTML mail using the WebKit " 
+                            "%d.%d.%d library.", WEBKIT_MAJOR_VERSION, 
+                            WEBKIT_MINOR_VERSION, WEBKIT_MICRO_VERSION);
+ }




More information about the arch-commits mailing list